Planning
get_ticket
Read grantRead-onlyIdempotent
Get one ticket with its summary, plan, creator and former IDs. A ticket's old ID still finds it. Needs read access.
Inputs
ticketstringRequiredA ticket ID, such as WEB-31.
tools/callJSON-RPC
{ "jsonrpc": "2.0", "id": 1, "method": "tools/call", "params": { "name": "get_ticket", "arguments": { "ticket": "WEB-31" } }}POST/agent/v1/tickets:get
curl -X POST https://api.qa.clankership.net/agent/v1/tickets:get \ -H "Authorization: Bearer $CLANKER_AGENT_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "ticket": "WEB-31" }'